org.apache.synapse.transport.passthru.util

## Class RelayConstants

- java.lang.Object
- - org.apache.synapse.transport.passthru.util.RelayConstants

-     public final class RelayConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `BINARY_CONTENT_QNAME`
    `static javax.xml.namespace.QName` | `BUILDERS_QNAME`
    `static javax.xml.namespace.QName` | `CLASS_NAME_QNAME`
    `static javax.xml.namespace.QName` | `CONTENT_TYPE_QNAME`
    `static java.lang.String` | `FORCE_RESPONSE_EARLY_BUILD`
    `static javax.xml.namespace.QName` | `FORMATTER_CLASS_NAME_QNAME`
    `static java.lang.String` | `INCLUDE_HIDDEN_SERVICES`
    `static javax.xml.namespace.QName` | `INCLUDE_HIDDEN_SERVICES_QNAME`
    `static javax.xml.namespace.QName` | `MESSAGE_BUILDER_QNAME`
    `static javax.xml.namespace.QName` | `RELAY_ASSERTION_QNAME`
    `static java.lang.String` | `RELAY_CONFIG_PARAM`
    `static java.lang.String` | `RELAY_POLICY_NS`
    `static javax.xml.namespace.QName` | `SERVICE_QNAME`
    `static javax.xml.namespace.QName` | `SERVICES_QNAME`
    `static java.lang.String` | `STREAM_INTERCEPTOR_FILE` The name of the stream interceptor file

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelayConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RELAY_POLICY_NS

          public static final java.lang.String RELAY_POLICY_NS

      See Also:
        Constant Field Values

    - #### INCLUDE_HIDDEN_SERVICES

          public static final java.lang.String INCLUDE_HIDDEN_SERVICES

      See Also:
        Constant Field Values

    - #### RELAY_ASSERTION_QNAME

          public static final javax.xml.namespace.QName RELAY_ASSERTION_QNAME

    - #### INCLUDE_HIDDEN_SERVICES_QNAME

          public static final javax.xml.namespace.QName INCLUDE_HIDDEN_SERVICES_QNAME

    - #### SERVICES_QNAME

          public static final javax.xml.namespace.QName SERVICES_QNAME

    - #### SERVICE_QNAME

          public static final javax.xml.namespace.QName SERVICE_QNAME

    - #### BUILDERS_QNAME

          public static final javax.xml.namespace.QName BUILDERS_QNAME

    - #### MESSAGE_BUILDER_QNAME

          public static final javax.xml.namespace.QName MESSAGE_BUILDER_QNAME

    - #### CONTENT_TYPE_QNAME

          public static final javax.xml.namespace.QName CONTENT_TYPE_QNAME

    - #### CLASS_NAME_QNAME

          public static final javax.xml.namespace.QName CLASS_NAME_QNAME

    - #### FORMATTER_CLASS_NAME_QNAME

          public static final javax.xml.namespace.QName FORMATTER_CLASS_NAME_QNAME

    - #### RELAY_CONFIG_PARAM

          public static final java.lang.String RELAY_CONFIG_PARAM

      See Also:
        Constant Field Values

    - #### BINARY_CONTENT_QNAME

          public static final javax.xml.namespace.QName BINARY_CONTENT_QNAME

    - #### FORCE_RESPONSE_EARLY_BUILD

          public static final java.lang.String FORCE_RESPONSE_EARLY_BUILD

      See Also:
        Constant Field Values

    - #### STREAM_INTERCEPTOR_FILE

          public static final java.lang.String STREAM_INTERCEPTOR_FILE

      The name of the stream interceptor file
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RelayConstants

          public RelayConstants()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.